io.vertx.rxjava3.ext.web.handler.graphql

## Class ApolloWSHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ApolloWSHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, ProtocolUpgradeHandler

      public class ApolloWSHandler
      extends Object
      implements ProtocolUpgradeHandler, Handler<RoutingContext>

  A handler for GraphQL requests sent over Apollo's `subscriptions-transport-ws` transport.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ApolloWSHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApolloWSHandler(ApolloWSHandler delegate)`
    `ApolloWSHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApolloWSHandler` | `beforeExecute(Handler<ExecutionInputBuilderWithContext<ApolloWSMessage>> config)` Deprecated.
    `ApolloWSHandler` | `connectionHandler(Handler<ServerWebSocket> connectionHandler)` Deprecated.
    `ApolloWSHandler` | `connectionInitHandler(Handler<ApolloWSConnectionInitEvent> connectionInitHandler)` Deprecated.
    `static ApolloWSHandler` | `create(graphql.GraphQL graphQL)` Deprecated.
    `static ApolloWSHandler` | `create(graphql.GraphQL graphQL, ApolloWSOptions options)` Deprecated.
    `ApolloWSHandler` | `dataLoaderRegistry(java.util.function.Function<ApolloWSMessage,org.dataloader.DataLoaderRegistry> factory)` Deprecated.
    `ApolloWSHandler` | `endHandler(Handler<ServerWebSocket> endHandler)` Deprecated.
    `boolean` | `equals(Object o)`
    `ApolloWSHandler` | `getDelegate()`
    `static ApolloWSMessage` | `getMessage(graphql.GraphQLContext graphQlContext)` Deprecated.
    `void` | `handle(RoutingContext event)` Deprecated.
    `int` | `hashCode()`
    `ApolloWSHandler` | `locale(java.util.function.Function<ApolloWSMessage,Locale> factory)` Deprecated.
    `ApolloWSHandler` | `messageHandler(Handler<ApolloWSMessage> messageHandler)` Deprecated.
    `static ApolloWSHandler` | `newInstance(ApolloWSHandler arg)`
    `ApolloWSHandler` | `queryContext(java.util.function.Function<ApolloWSMessage,Object> factory)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.handler.ProtocolUpgradeHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ApolloWSHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ApolloWSHandler

          public ApolloWSHandler(ApolloWSHandler delegate)

    - #### ApolloWSHandler

          public ApolloWSHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ApolloWSHandler getDelegate()

      Specified by:
        `getDelegate` in interface `ProtocolUpgradeHandler`

    - #### handle

          @Deprecated
          public void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `ProtocolUpgradeHandler`
      Parameters:
        `event` - the event to handle

    - #### connectionHandler

          @Deprecated
          public ApolloWSHandler connectionHandler(Handler<ServerWebSocket> connectionHandler)

      Deprecated.
      Customize the connection . This handler will be called at the beginning of each websocket connection.
      Parameters:
        `connectionHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionInitHandler

          @Deprecated
          public ApolloWSHandler connectionInitHandler(Handler<ApolloWSConnectionInitEvent> connectionInitHandler)

      Deprecated.
      Customize the connection init . This handler will be called when the message is received.
      Parameters:
        `connectionInitHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### messageHandler

          @Deprecated
          public ApolloWSHandler messageHandler(Handler<ApolloWSMessage> messageHandler)

      Deprecated.
      Customize the message . This handler will be called for each `ApolloWSMessage` received.
      Parameters:
        `messageHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          @Deprecated
          public ApolloWSHandler endHandler(Handler<ServerWebSocket> endHandler)

      Deprecated.
      Customize the end . This handler will be called at the end of each websocket connection.
      Parameters:
        `endHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### queryContext

          @Deprecated
          public ApolloWSHandler queryContext(java.util.function.Function<ApolloWSMessage,Object> factory)

      Deprecated.
      Customize the query context object. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### beforeExecute

          @Deprecated
          public ApolloWSHandler beforeExecute(Handler<ExecutionInputBuilderWithContext<ApolloWSMessage>> config)

      Deprecated.
      Set a callback to invoke before executing a GraphQL query.
      Parameters:
        `config` - the callback to invoke
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          @Deprecated
          public static ApolloWSHandler create(graphql.GraphQL graphQL)

      Deprecated.
      Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the default `ApolloWSOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### create

          @Deprecated
          public static ApolloWSHandler create(graphql.GraphQL graphQL,
                                                           ApolloWSOptions options)

      Deprecated.
      Create a new `ApolloWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the given `options`.

      Parameters:
        `graphQL` -
        `options` - options for configuring the `ApolloWSOptions`
      Returns:

    - #### getMessage

          @Deprecated
          public static ApolloWSMessage getMessage(graphql.GraphQLContext graphQlContext)

      Deprecated.
      Retrieves the `ApolloWSMessage` from the .
      Parameters:
        `graphQlContext` - the GraphQL context object
      Returns:
        the `ApolloWSMessage`

    - #### dataLoaderRegistry

          @Deprecated
          public ApolloWSHandler dataLoaderRegistry(java.util.function.Function<ApolloWSMessage,org.dataloader.DataLoaderRegistry> factory)

      Deprecated.
      Customize the . The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### locale

          @Deprecated
          public ApolloWSHandler locale(java.util.function.Function<ApolloWSMessage,Locale> factory)

      Deprecated.
      Customize the passed to the GraphQL execution engine. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static ApolloWSHandler newInstance(ApolloWSHandler arg)

Copyright © 2024 Eclipse. All rights reserved.